﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url("radzen-custom.css");
@import url("accueil.css");
@import url("cgu.css");

:root {
    --primary: #3c1d46;
    --secondary: #362d59;
    --accent: #8F9FBF;
    --neutral-light: #D7D7D9;
    --neutral-mid: #9298A6;
    --text-light: #FFFFFF;
    --text-dark: #182240;
    --text-muted: #6c757d;
    --content-color: #2F4F4F;
    --color1-loader: #1FC0FAFF;
    --color2-loader: #1D79E2FF;
    --color3-loader: #6e35bd;
    --btn-padding: var(--btn-padding-x) var(--btn-padding-y);
    --btn-padding-x: 0.8rem;
    --btn-padding-y: 1rem;
    --border-radius-small: calc(var(--border-radius-large) / 2);
    --border-radius-large: 24px;
    --badge-padding: 4px 12px;
    --font-family: "Source Sans Pro";
    --success: #7dae66;
    --warning: #f1bf41;
    --danger: #d86663;
    --danger-soft: rgba(216, 102, 99, 0.08);
    --gray: #808080;
    --timeline: #6366f1;
}

body {
    font-family: var(--font-family), sans-serif;
    color: var(--content-color);
    background-color: var(--rz-menu-background);
    font-size: small;
}

h5 {
    color: var(--secondary);
}

.text-success {
    color: var(--success) !important;
}

.text-danger {
    color: var(--danger) !important;
}

.text-warning {
    color: var(--warning) !important;
}

::placeholder {
    font-style: italic;
    color: darkgrey !important;
    font-size: smaller;
}

.input-group > .form-control:focus {
    box-shadow: none;
    border-color: var(--bs-border-color);
}

.row-title {
    font-weight: bold;
    min-height: 40px;
}

.flex-center {
    display: flex;
    align-items: center;
}

.flex-baseline {
    display: flex;
    align-items: baseline;
    gap: 0.2rem;
}

.flex-end {
    display: flex;
    align-items: flex-end;
}

.star-required {
    color: var(--danger);
}

.box-info {
    border: 1px solid #ddd;
    border-left: 3px solid var(--rz-primary);
    font-size: x-small;
}

.sidebar-menu-item {
    display: flex;
    gap: 1em;
    padding: 0.8em;
    border: none;
    background: transparent;
    font-weight: 500;
    font-size: 14px;
    color: #5f6b7a;
    border-radius: 8px;
}

.sidebar-menu-item:hover {
    background: #f4f6f9;
    color: var(--secondary);
}

.sidebar-menu-item.active {
    background: var(--rz-menu-background);
    color: var(--secondary);
}

.fs-smaller {
    font-size: smaller;
}